#Nisus Macro Block
#source front selection
#destination front selection
#End Nisus Macro Block
use strict;
binmode(STDIN, ":utf8");
binmode(STDOUT, ":utf8");

my $count = 1;
my $start = 1;
while (my $line = <STDIN>) {
	$line =~ s/[\r\n]+//g;
	if ($line !~ /^(\d+)/) {
		print "$count$line\n";
	} else {
		if ($start) {
			$count = $1;
			$start = 0;
			print "$line\n";
		} else {
			$line =~ s/^(\d+)/$count/;
			print "$line\n";
		}
	}
	$count++;
}
